Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.state
Interface RedirectURLGenerator

    public interface RedirectURLGenerator

The `Redirect URL Generator` provides methods to create URLs pointing to pages or portlets.
The Redirect URLGenerator must be obtained once per action phase of a portlet and should not be stored.

Since:
  5.1.0.1
See Also:
  `RedirectURLGeneratorFactoryService`

Method Summary
`EngineURL` | `createPageURL(ObjectID pageID)` Creates an url that points to the page referenced by the pageID.
`EngineURL` | `createPortletURL(ObjectID portletWindowID)` Creates an url pointing to the portlet referenced by the portletWindowID.

Method Detail

### createPageURL

    EngineURL createPageURL(ObjectID pageID)
                            throws StateException

  Creates an url that points to the page referenced by the pageID. When this method is used, the current navigational state is preserved.

  Parameters:
    `pageID` - The object id of the page. It is not allowed to pass `null` for this parameter.
  Returns:
    EngineURL The url.
  Throws:
    `StateException` - Thrown when an error occurs during the creation of the URL.

### createPortletURL

    EngineURL createPortletURL(ObjectID portletWindowID)
                               throws StateException

  Creates an url pointing to the portlet referenced by the portletWindowID. The portlet automatically gets focus. By default, the newly generated url preserves current state.

  Parameters:
    `portletWindowID` - The object id of the portlet window. It is not allowed to pass `null` for this parameter.
  Returns:
    EngineURL The url.
  Throws:
    `StateException` - Thrown when an error occurs during the creation of the URL.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD